%define pkgname mime-types
Summary:	MIME::Types for Ruby
Summary(hu.UTF-8):	MIME::Types Rubyhoz
Summary(pl.UTF-8):	MIME::Types dla języka Ruby
Name:		ruby-%{pkgname}
Version:	1.23
Release:	2
License:	MIT, Artistic or GPL v2+
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	26b9ebe2f50e7ed6348475f7c520cfaf
URL:		http://mime-types.rubyforge.org/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
%if %(locale -a | grep -q '^en_US$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MIME::Types provides the ability for detailed information about MIME
entities to be determined and used programmatically.

%description -l hu.UTF-8
MIME::Types egy felületet biztosít a MIME bejegyzések lekérdezéséhez
és programozásához.

%description -l pl.UTF-8
MIME::Types pozwala na programowe określanie i wykorzystywanie
szczegółowych informacji o elementach MIME.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%__gem_helper spec

# rdoc fails if not UTF-8 locale
export LC_ALL=en_US.UTF-8
rdoc --op rdoc lib
rdoc --ri --op ri lib
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{ruby_specdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rdoc History.rdoc Licence.rdoc
%dir %{ruby_vendorlibdir}/mime
%{ruby_vendorlibdir}/mime-types.rb
%{ruby_vendorlibdir}/mime/types.rb
%{ruby_vendorlibdir}/mime/types
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/MIME
%changelog
* Sun Jun 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-mime-types.git;a=log;h=master

* Sun Jun 23 2013 Elan Ruusamäe <glen@delfi.ee> 38101ef
- build gem requires/provides

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 43a6bc8
- up to 1.23

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 75eb66e
- build noarch; package to vendor dirs

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> b6f9e63
- rel 2
- build from gem
- added ri package

* Sun Nov 29 2009 Artur Frysiak <artur@frysiak.net> e70d28d
- updated to 1.16

* Sun Nov 29 2009 Zsolt Udvari <uzsolt@pld-linux.org> 3a2c25c
- %dir rubylibdir/mime
- rel 2

* Wed Jan 14 2009 Jakub Bogusz <qboosh@pld-linux.org> d4f55bb
- formatting
- pl for -rdoc

* Wed Jan 14 2009 Zsolt Udvari <uzsolt@pld-linux.org> b9840cc
- hungarizing

* Wed Jan 14 2009 Elan Ruusamäe <glen@pld-linux.org> dbd6d03
- unify ruby package

* Tue Jan 13 2009 Zsolt Udvari <uzsolt@pld-linux.org> 1261eef
- change setup.rb BR version

* Thu Mar 08 2007 aredridel <aredridel@pld-linux.org> 30d0c33
- massive attack: correct ri output path for ruby 1.8.6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b9c9221
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fc648e1
- converted to UTF-8

* Wed Nov 15 2006 Jakub Bogusz <qboosh@pld-linux.org> fa632ad
- version in Source0 URL

* Wed Nov 15 2006 Jakub Bogusz <qboosh@pld-linux.org> efa2be8
- pl

* Sat Nov 04 2006 aredridel <aredridel@pld-linux.org> f005d74
- added

